## NAME

r.reclass.area - Reclasses a raster map greater or less than user specified area size (in hectares).

## KEYWORDS

raster, statistics, aggregation

## SYNOPSIS

r.reclass.area
r.reclass.area --help
r.reclass.area [-cd] input=name output=name value=float mode=string [method=string] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-c
  Input map is clumped
-d
  Clumps including diagonal neighbors
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of input raster map
output=name [required]
  Name for output raster map
value=float [required]
  Value option that sets the area size limit (in hectares)
mode=string [required]
  Lesser or greater than specified value
  Options: lesser, greater
method=string
  Method used for reclassification
  Options: reclass, rmarea
  Default: reclass

## DESCRIPTION

r.reclass.area reclasses a raster map greater or less than a user specified area size (in hectares).

If the -c flag is used, r.reclass.area will skip the creation of a clumped raster and assume that the input raster is already clumped.

## EXAMPLES

In this example, the ZIP code map in the North Carolina sample dataset location is filtered for large areas (removing smaller areas from the map).

    g.region raster=zipcodes -p
    r.report zipcodes unit=h

Extract only areas greater than 2000 ha, NULL otherwise:

    r.reclass.area input=zipcodes output=zipcodes_larger2000ha mode=greater value=2000

    r.report zipcodes_larger2000ha unit=h

Figure: r.reclass.area method=reclass
In this example, the ZIP code map in the North Carolina sample dataset location is filtered for smaller areas which are substituted with the value of the respective adjacent area with largest shared boundary. Reclass by substitutional removing of areas minor of 1000 ha:

    r.reclass.area input=zipcodes output=zipcodes_minor1000ha mode=lesser value=1000 method=rmarea

Figure: r.reclass.area method=rmarea

## SEE ALSO

r.reclass, r.clump, r.stats

## AUTHORS

NRCS,
Markus Neteler

Last changed: $Date$

## SOURCE CODE

Available at: r.reclass.area source code (history)

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.0 Reference Manual